Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Sybarite Paladin AxL

I really wanna downgrade!

Recommended Posts

Guys I really wanna download my PSP!!! Goddamn my 2.50 is annoying and it's really hard to find an old GTA LCS version... and I wanna enjoy neo geo on it :P so I was thinking maybe I could upgrade to 2.71 and use the recent 2.71 downgrader to get to 1.50 then use the 2.71 SE or w/e it's called to enjoy some emulation?

 

help me, I'm desperate I didn't buy my psp to use it as a really fat mp3 player...

Share this post


Link to post
Share on other sites

If you have GTA, you can get downgraders for 2.50/2.60 from:

http://www.psp-spot.com/forums/PSP-Exploit...ion-t25902.html <- 2.50/2.60 Downgrader

http://www.psp-hacks.com/category/35 <- Has all downgraders (For 2.00 through 2.71)

 

Otherwise, look for a downgrader from the above link that does not require GTA.

As for Dark_AleX's 2.71 SE firmware:

This is going to blow your mind… Dark_AleX has released what he calls FW 2.71 Special Edition (SE). What is it and what’s so special about it? 2.71 SE Revision A is a custom firmware that enables the best of both worlds; combining both the functionality of FW 1.50 and 2.71 into a single flash.

 

Homebrew can be run on both kernels, the 1.50 one and the 2.71 one, letting almost all current homebrew to work on the 1.50 kernel, and 2.71 homebrew compatible with HEN C in the 2.71 kernel.

 

Note: the installer writes to FLASH0. I’m not responsible of any damage of what happens, since this software is provided free and without warranty. TA-082 users cannot use this because a 1.50 bootstrap is needed to boot the system patched.

So basically what this does is it lets you use all the good things from 2.71 (Web Browser, UMD Compatibility, WMA/Flash Support) while still letting you play homebrew! Just make sure you download the Homebrew EBOOT fixer to make your homebrew work (link below). Just remember, not ALL homebrew will work, but most will.

 

Get the installer here:http://www.psp-hacks.com/file/835 (Revision 3)

Get the Homebrew EBOOT Fixer here:http://www.psp-hacks.com/file/839

Get a customizer here: http://www.psp-hacks.com/file/844

Edited by Mooney

Share this post


Link to post
Share on other sites

There's a downgrader for my 2.50 without needing GTA?! what teh?!

 

so basically what I do is downgrade to 1.50 and then upgrade to 2.71 SE using the links you gave me? is it that simple? I have a 2.50 from the factory btw

 

edit: what's a devhook?

 

edit #2: but if I don't upgrade to 2.71 SE will all the homebrews work? and will the homebrews eventually work for 2.71 SE? what happens if I wanna upgrade from 2.71 SE? sorry for all the many questions but I'm so confused right now it's not even funny anymore.

 

edit #3: after a few reading arround I found there were other solutions of playing emulated and backup games on my PSP. I have yet to understand the difference and the various implications, cons and pros. Could someone please explain to this poor PSP noob?

Share this post


Link to post
Share on other sites
so basically what I do is downgrade to 1.50 and then upgrade to 2.71 SE using the links you gave me? is it that simple? I have a 2.50 from the factory btw

WEll, you could say it's simple, but what it really is is risky. As you may know, writing to the system's flash has a chance of bricking the system. To downgrade, just get one of the downgraders (Either one or both has an installer that will put it on the PSP for you) and run it! FYI, it's a good idea to keep your PSP plugged in to a charger while downdgrading. :)

 

edit: what's a devhook?

DevHook is a firmware emulator. It lets you run firmwares 1.50, 2.00, 2.50, 2.60, and 2.71 on 1.50 or 2.71 PSPs. It also emulates UMD "backups," so you can put an ISO on your memory card and have DevHook load it with the firmware. Read more here: http://wiki.pocketheaven.com/Device_Hook

 

edit #2: but if I don't upgrade to 2.71 SE will all the homebrews work? and will the homebrews eventually work for 2.71 SE? what happens if I wanna upgrade from 2.71 SE? sorry for all the many questions but I'm so confused right now it's not even funny anymore.

You do not have to upgrade to 2.71 SE. In fact, unless you know a good amount about homebrew, I would suggest NOT upgrading. It may be a bit too confusing for noobs. :D As for upgrading, I'm sure the PSP's built in update function will still work. Don't quote me on that, though. :) And yes, 1.5 has the BEST homebrew compatibility, so everything will work.

 

edit #3: after a few reading arround I found there were other solutions of playing emulated and backup games on my PSP. I have yet to understand the difference and the various implications, cons and pros. Could someone please explain to this poor PSP noob?

Well, there are a few popular solutions. I'll talk about them for each firmware.

1.50

DevHook - Explained above. Runs .ISO files or compressed .CSO files. Probably the most popular option.

DAX ZISO Loader - A loader made by Dark_AleX, can run .ISO files as well as compressed .DAX files.

UMD Emulator - Emulates .ISO files on your 1.50 firmware. Not bad, but has fairly low compatibility.

Fastloader - Haven't used this before, but I've heard good things.

 

2.60

UMD Emulator for 2.60 w/ eLoader - Not very developed, not recommened. Only a proof-of-concept.

 

2.71

DevHook - A little while back, DevHook was ported to 2.71 for people who did not want to keep using the eLoader. Works with 2.71 SE-A and has same compatibility as the 1.50 version.

Edited by Mooney

Share this post


Link to post
Share on other sites

Mooney nice work. You covered pretty much everything. Id just want to add 2 things...

 

AxL- you said you had a factory 2.50? You MUST check if the motherboard is a TA-082. If so, YOU CANNOT DOWNGRADE lower than 2.50 anyway without ruining your PSP. Sorry if this has already been mentioned. Go here

 

http://forums.afterdawn.com/thread_view.cfm/369035

 

Check if your PSP has that little code you can see in the picture.. if so, then sorry you cannot downgrade.

 

 

The next thing was you should downgrade to 1.50- 2.71SE is a bit complicated, buggy, and really only for people who the PSP really well- 1.50 can do everything 2.71SE can anyway. If your PSP isnt a TA-082 like in the image, I suggest upgrading to normal firmware 2.71 with the normal SOny updater, and then using Dark Alex's update flasher. Youll need to get HENC first, and read those instructions before using the Update Flasher.

 

HENC ---> http://dax.lan.st/hen_c.rar

Update Flasher --->

 

The reason I select this option is because you dont need to find any illegal files to use it- you can just use it with Sony's official 1.50 update file. Also it does a clean format then install, and since it uses the official update, the chances of it stuffing your PSP are extremely low. A lot lower than any other downgrade method. So you dont use a 2.50 downgrader, go to 2.71 and use Dark Alexs. Could save you a lot of heartache later on.

 

Thats all I wanted to add- make sure your motherboard isnt that bad one in the first link though- but otherwise yeh use Dark Alexs Update Flasher and youll be fine. Good luck getting youre 1.50 PSP!

Edited by DragonKeeper

Share this post


Link to post
Share on other sites

Perhaps I should mention that my PSP was also bought in a GIGA pack thingie (same as value pack but with a 1gb mem stick) I've also checked it and there's no code whatsoever showing where it's supposed to be. I assume it's not TA-082. I'll check again today.

 

I can manage to get Tekken DR from a class mate of my brothers and upgrade it to 2.71. :thumbsup1: But if I downgrade to 1.50 will I lose my web browser and every other function only available to 2.50?

 

Also is there another way of playing backups and emulators without downgrading? Permit me to guess, if I use that eLoader thingie I can emulate 1.50 firmware without actually downgrading?

 

Also, I have this game that needs 2.60 FW. If I downgrade to 1.50 will I be able to run it?

Share this post


Link to post
Share on other sites

If you downgrade to 1.50, you can use Devhook to emulate higher versions and run whatever they have.

 

There are methods such as eLoader to run emulators on higher versions. No backups though. There is a version of DevHook for 2.71, that will let you emulate 1.50 without downgrading. You can run backups with this too, but if youre using it you might as well go the extra step and downgrade using the one I linked you to.

Share this post


Link to post
Share on other sites

Which way would you guys recommend? I'd like the one with the best compatibility but also I hope it's the safest method. I'm really paranoid about security and failures and errors and I don't wanna wake up one day and find that my PSP has become a brick. I also wouldn't wanna run emulated games and backups at 10 fps tho... also I'd like the most noob friendly way hehe. Sorry for all the stupid, possibly re-asked questions, I've made but I'm really at a stand still and thanks for bareing with me :P

 

edit: is there a way I can upgrade without getting a game :thumbsup1:, like some online service?

Share this post


Link to post
Share on other sites

Some sites do have versions with instructions on installing/upgrading them. But I've been out of the scene so long my links = lost.

Share this post


Link to post
Share on other sites
Thanks to you guys, Dragonkeeper and especially Mooney for guiding me on MSN, I'm the official owner of a 1.50 PSP :thumbsup1:. /dance

 

many, many thanks :P

No problem! It was fun for me to help you! :P I'm just glad it worked! :)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...